package com.sodius.rhapsody.toolkit.properties;

import com.sodius.mdw.metamodel.uml21.resource.OMGUMLVersionRegistry;

public enum UMLVersionKind {

    uml21("UML 2.1", "uml21", "uml21", OMGUMLVersionRegistry.UML_2_1, "XMI"),
    uml22("UML 2.2", "uml21", "uml22", OMGUMLVersionRegistry.UML_2_2, "XMI"),
    uml23("UML 2.3", "uml21", "uml23", OMGUMLVersionRegistry.UML_2_3, "XMI"),
    uml241("UML 2.4.1", "uml21", "uml241", OMGUMLVersionRegistry.UML_2_4_1, "XMI"),
    uml21EA("UML 2.1", "uml21", "uml21EA", OMGUMLVersionRegistry.UML_2_1, "Enterprise Architect XMI"),
    uml21MD("UML 2.1", "uml21", "uml21MD", OMGUMLVersionRegistry.UML_2_1, "MagicDraw XMI");
    public String name;
    public String metamodelID;
    public String commandLineID;
    public OMGUMLVersionRegistry umlVersion;
    public String readerName;

    private UMLVersionKind(String name, String metamodelID, String commandLineID, OMGUMLVersionRegistry umlVersion, String readerName) {
        this.name = name;
        this.metamodelID = metamodelID;
        this.commandLineID = commandLineID;
        this.umlVersion = umlVersion;
        this.readerName = readerName;
    }
}
