package com.sodius.rhapsody.toolkit.ui;



public class ExportWizard extends ToolkitWizard {

	static public String title = "XMI Toolkit Exporter";
	public static String DESCRIPTION = "Export the Rhapsody model in XMI format";
	private static String umlFormatPageTitle = "Select format";
	public static String savePageTitle = "Define destination";
	
	ExportWizard(ToolkitUIManager manager) {
		super(manager);
		setWindowTitle(title);
	}

	public void addPages() {
		if(!isPagesReady())
		{
			mainPage = new ExportUMLFormatSelectionWizardPage(this.manager, umlFormatPageTitle);
			addPage(mainPage);
		}
	}

}
