package com.sodius.rhapsody.toolkit.ui;

import org.eclipse.jface.wizard.WizardPage;


public class SaveDirectoryWizard extends FinalToolkitWizard {	
	private static String saveDirectoryPageLabel = "Please select the export folder:";
	
	SaveDirectoryWizard(ToolkitUIManager manager) {
		super(manager);
		setWindowTitle(ExportWizard.title);
	}
	
	public void addPages() {
		if(!isPagesReady())
		{
			mainPage = new SaveDirectoryWizardPage(this.manager, ExportWizard.savePageTitle, saveDirectoryPageLabel);
			addPage(mainPage);
		}
	}
	
	public WizardPage getSaveDirectoryPage() {
		return mainPage;
	}

}
