package com.sodius.rhapsody.toolkit.ui;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.jface.wizard.WizardPage;

abstract class ToolkitWizardPage extends WizardPage implements IToolkitParameterSetterWizardPage{
	protected ToolkitUIManager manager;

    ToolkitWizardPage(ToolkitUIManager manager, String wizardType, String pageTitle, ImageDescriptor imageDescriptor) {
    	super(wizardType, pageTitle, imageDescriptor);
        this.manager = manager;
    }
   
	public ToolkitUIManager getManager() {
		return manager;
	}
	
	public boolean isRecursiveCommandLineFilled() {
		return isCommandLineFilled();
	}
	
}
