package com.sodius.rhapsody.toolkit.engine;

import com.sodius.mdw.core.util.log.Logger;
import com.sodius.rhapsody.toolkit.properties.RhapsodyXMIToolkitParameters;

public interface EngineContext {
	
	public RhapsodyXMIToolkitParameters getParameters();

	public Logger getDirectOutLogger();
	
	public Logger getOutLogger();
	
	public Logger getErrLogger();

	public XMIEngine getXMIEngine();
	public void setXMIEngine(XMIEngine engine);
	
}
