package com.sodius.rhapsody.toolkit.engine;

class XMI1Constants {

 // XMI 1.x elements
 public static final String XMI_ROOT = "XMI";
 public static final String XMI_ROOT_FULL = "xmi:XMI";
 public static final String XMI_HEADER = "XMI.header";
 public static final String XMI_CONTENT = "XMI.content";
 public static final String XMI_DOCUMENTATION = "XMI.documentation";
 public static final String XMI_MODEL = "XMI.model";
 public static final String XMI_METAMODEL = "XMI.metamodel";
 public static final String XMI_METAMETAMODEL = "XMI.metametamodel";
 public static final String XMI_DOC_OWNER = "XMI.owner";
 public static final String XMI_DOC_CONTACT = "XMI.contact";
 public static final String XMI_DOC_LONG_DESCRIPTION = "XMI.longDescription";
 public static final String XMI_DOC_SHORT_DESCRIPTION = "XMI.shortDescription";
 public static final String XMI_DOC_EXPORTER = "XMI.exporter";
 public static final String XMI_DOC_EXPORTER_VERSION = "XMI.exporterVersion";
 public static final String XMI_DOC_EXPORTER_ID = "XMI.exporterID";
 public static final String XMI_DOC_NOTICE = "XMI.notice";

 // XMI 1.x attributes
 public static final String XMI_ID = "xmi.id";
 public static final String XMI_UUID = "xmi.uuid";
 public static final String XMI_LABEL = "xmi.label";
 public static final String XMI_IDREF = "xmi.idref";
 public static final String XMI_HREF = "href";
 public static final String XMI_VERSION = "xmi.version";
 public static final String XMI_VALUE = "xmi.value";
 public static final String XMI_TYPE = "xmi.type";
 public static final String XMI_TIMESTAMP = "timestamp";

 private XMI1Constants() {
 }
}