package com.sodius.rhapsody.toolkit.properties;

public enum ImportToolKind {
	EA("SPARX Enterprise Architect", "EA", "helpFiles_EA.html"),
	RSA("IBM Rational Software Architect RT", "RSA", "helpFiles_RSx.html"),
	MD("No Magic MagicDraw", "MD", "helpFiles_MD.html"),
	TAU("IBM Rational Tau", "TAU", "helpFiles_Tau.html"),
	XMI("OMG UML / XMI", "", "helpFiles.html");
	public final String name;
	public final String format;
	public final String helpFileName;
	
	private ImportToolKind(String name, String format, String helpFileName) {
		this.name = name;
		this.format = format;
		this.helpFileName = helpFileName;
	}
	
}
