/**
 * 
 */
package com.sodius.rhapsody.toolkit.properties;

public final class XMIMode {
    public static final XMIMode XMI_IMPORT = new XMIMode("IMPORT");
    public static final XMIMode XMI_EXPORT = new XMIMode("EXPORT");
    public static final XMIMode TAU_IMPORT = new XMIMode("TAU_IMPORT");
    public static final XMIMode TAU_EXPORT = new XMIMode("TAU_EXPORT");

    private String mode;

    private XMIMode(String mode) {
        this.mode = mode;
    }

    public String toString() {
        return mode;
    }

    public static final XMIMode getMode(String mode) {
        if (mode == null)
            return null;
        if (mode.toUpperCase().equals(XMI_IMPORT.mode))
            return XMI_IMPORT;
        else if (mode.toUpperCase().equals(XMI_EXPORT.mode))
            return XMI_EXPORT;
        else if (mode.toUpperCase().equals(TAU_IMPORT.mode))
            return TAU_IMPORT;
        else if (mode.toUpperCase().equals(TAU_EXPORT.mode))
            return TAU_EXPORT;
        else
            return null;
    }
}