package com.sodius.rhapsody.toolkit.ui;

import org.eclipse.swt.widgets.Composite;

import com.sodius.rhapsody.toolkit.properties.RhapsodyXMIToolkitParameters;

public class SaveDirectoryWizardPage extends ToolkitWizardPage {
	
	private String saveDirectoryPageLabel;

	SaveDirectoryWizardPage(ToolkitUIManager manager, String pageTitle, String label) {
		super(manager, "SaveDirectoryWizardPage", pageTitle, manager.getImageRegistry().getDescriptor(manager.getIconFileName()));
		this.saveDirectoryPageLabel=label;
		setDescription(ExportWizard.DESCRIPTION);
	}

	public void createControl(Composite parent) {
		ShowDirectoryControl showFileDialog = new ShowDirectoryControl(parent, this, this.manager, saveDirectoryPageLabel);
		setControl(showFileDialog);
	}

	public void setParameters() {
	}

	public boolean isCommandLineFilled() {
		return (this.manager.getToolkit().getParameters().isCommandLineProperty(RhapsodyXMIToolkitParameters.KEY_XMI_FILENAME));
	}

}
